<div class="row">
    <div class="col-lg-12">
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h3>
                    <strong>Edit Order</strong>
                </h3>
            </div>
            <div class="ibox-content">
                <form [formGroup]="editForm" autocomplete="off" class="form-horizontal" (ngSubmit)="updateOrder()">
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Customer name</label>
                        <div class="col-sm-10">
                            <input type="text" placeholder="Customer name" formControlName="user_id"
                                class="form-control">
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">PickUp location</label>
                        <div class="col-sm-10">
                            <input type="text" placeholder="PickUp location" formControlName="pickup_location"
                                class="form-control">
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Drop location</label>
                        <div class="col-sm-10">
                            <input type="text" placeholder="Drop location" formControlName="drop_location"
                                class="form-control">
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Distance</label>
                        <div class="col-sm-10">
                            <input type="text" placeholder="Distance" formControlName="distance" class="form-control">
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Start time</label>
                        <div class="col-sm-10">
                            <input type="text" placeholder="Start time" formControlName="start_time"
                                class="form-control">
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">End time</label>
                        <div class="col-sm-10">
                            <input type="text" placeholder="End time" formControlName="end_time" class="form-control">
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Driver</label>
                        <div class="col-sm-10">
                            <input type="text" placeholder="Driver" formControlName="driver_id" class="form-control">
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Vehicle</label>
                        <div class="col-sm-10">
                            <input type="text" placeholder="Vehicle" formControlName="vehicle_id" class="form-control">
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Partner</label>
                        <div class="col-sm-10">
                            <select class="form-control" placeholder="Partner" formControlName="partner_id">
                                <option [value]="partner._id" *ngFor="let partner of partnerData">
                                    {{partner.name}}
                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Tariff</label>
                        <div class="col-sm-10">
                            <select class="form-control" placeholder="Tariff" formControlName="tariff_id">
                                <option [value]="tariff._id" *ngFor="let tariff of tariffData">
                                    {{tariff.name}}
                                </option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Payment type</label>
                        <div class="col-sm-10">
                            <input type="text" placeholder="Payment Type" formControlName="payment_type_id"
                                class="form-control">
                        </div>
                    </div>
                    <div class="form-group" *ngIf="dtc && super">
                        <label class="col-sm-2 control-label">Company</label>
                        <div class="col-sm-10">
                            <select class="form-control" placeholder="Company" formControlName="company_id">
                                <option [value]="company._id" *ngFor="let company of companyData">
                                    {{company.company_name}}
                                </option>
                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Price
                            <i aria-hidden="true" class="mandatory">*</i>
                        </label>
                        <div class="col-sm-10">
                            <input type="text" placeholder="Price" pattern="[0-9]+([.][0-9]+)?" formControlName="price"
                                class="form-control" required>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label"></label>
                        <div class="col-sm-10">
                            <div
                                *ngIf="editForm.controls['price'].invalid && (editForm.controls['price'].dirty || editForm.controls['price'].touched)">
                                <div *ngIf="editForm.controls['price'].errors.required" class="alert alert-danger">
                                    Price is required.
                                </div>
                                <div *ngIf="editForm.controls['price'].errors.pattern" class="alert alert-danger">
                                    Only numbers are allowed.
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-sm-4 col-sm-offset-2">
                            <button class="btn btn-primary" type="submit">Save changes</button>
                            <button class="btn btn-white" type="button"
                                [routerLink]="['/admin/orders/list-order']">Cancel</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>